[Fai-commit] r3857 - in trunk: . examples/simple/class examples/simple/scripts/DEMO examples/simple/scripts/FAIBASE lib

fai-commit at lists.alioth.debian.org fai-commit at lists.alioth.debian.org
Tue Sep 5 12:52:07 UTC 2006


Author: lange
Date: 2006-09-05 12:52:07 +0000 (Tue, 05 Sep 2006)
New Revision: 3857

Modified:
   trunk/NEWS
   trunk/examples/simple/class/FAIBASE.var
   trunk/examples/simple/class/GERMAN.var
   trunk/examples/simple/scripts/DEMO/10-misc
   trunk/examples/simple/scripts/FAIBASE/10-misc
   trunk/lib/load_keymap_consolechars
Log:
rename variables


Modified: trunk/NEWS
===================================================================
--- trunk/NEWS	2006-09-05 12:44:32 UTC (rev 3856)
+++ trunk/NEWS	2006-09-05 12:52:07 UTC (rev 3857)
@@ -22,6 +22,11 @@
       terror renamed to task_error
       all flags from FAI_FLAGS are now defined as flag_xxx
       $time_zone renamed to $TIMEZONE
+      $videodrv renamed to $VIDEODRIVER
+      $FAI_CONSOLEFONT renamed to $CONSOLEFONT
+      $FAI_KEYMAP renamed to $KEYMAP
+      $rootpw renamed to $ROOTPW
+      $moduleslist renamed to $MODULESLIST
     - new config file /etc/fai/NFSROOT which contains the package list
       for the nfsroot
     - task_updatebase does not use updatebase.log any more

Modified: trunk/examples/simple/class/FAIBASE.var
===================================================================
--- trunk/examples/simple/class/FAIBASE.var	2006-09-05 12:44:32 UTC (rev 3856)
+++ trunk/examples/simple/class/FAIBASE.var	2006-09-05 12:52:07 UTC (rev 3857)
@@ -1,7 +1,7 @@
 # default values for installation. You can override them in your *.var files
 
-FAI_CONSOLEFONT=
-FAI_KEYMAP=us-latin1
+CONSOLEFONT=
+KEYMAP=us-latin1
 
 # Set UTC=yes if your system clock is set to UTC (GMT), and UTC=no if not.
 UTC=yes
@@ -9,10 +9,10 @@
 
 # root password for the new installed linux system; md5 and crypt are possible
 # pw is "fai"
-rootpw='$1$kBnWcO.E$djxB128U7dMkrltJHPf6d1'
+ROOTPW='$1$kBnWcO.E$djxB128U7dMkrltJHPf6d1'
 
 # moduleslist contains modules that will be loaded by the new system,
 # not during installation these modules will be written to /etc/modules
 # If you need a module during installation, add it to $kernelmodules
 # in 20-hwdetect.source. But discover should do most of this job
-moduleslist="usbkbd ehci-hcd ohci-hcd uhci-hcd usbhid psmouse"
+MODULESLIST="usbkbd ehci-hcd ohci-hcd uhci-hcd usbhid psmouse"

Modified: trunk/examples/simple/class/GERMAN.var
===================================================================
--- trunk/examples/simple/class/GERMAN.var	2006-09-05 12:44:32 UTC (rev 3856)
+++ trunk/examples/simple/class/GERMAN.var	2006-09-05 12:52:07 UTC (rev 3857)
@@ -1,2 +1,2 @@
 # german environment
-FAI_KEYMAP=de-latin1-nodeadkeys
+KEYMAP=de-latin1-nodeadkeys

Modified: trunk/examples/simple/scripts/DEMO/10-misc
===================================================================
--- trunk/examples/simple/scripts/DEMO/10-misc	2006-09-05 12:44:32 UTC (rev 3856)
+++ trunk/examples/simple/scripts/DEMO/10-misc	2006-09-05 12:52:07 UTC (rev 3857)
@@ -12,4 +12,4 @@
 
 # add a demo user account
 $ROOTCMD adduser --disabled-login --gecos "fai demo user" demo
-echo "demo:$rootpw" | $ROOTCMD chpasswd --encrypted
+echo "demo:$ROOTPW" | $ROOTCMD chpasswd --encrypted

Modified: trunk/examples/simple/scripts/FAIBASE/10-misc
===================================================================
--- trunk/examples/simple/scripts/FAIBASE/10-misc	2006-09-05 12:44:32 UTC (rev 3856)
+++ trunk/examples/simple/scripts/FAIBASE/10-misc	2006-09-05 12:52:07 UTC (rev 3857)
@@ -6,7 +6,7 @@
 
 # a list of modules which are loaded at boot time
 fcopy -i /etc/modules
-for module in $moduleslist; do
+for module in $MODULESLIST; do
     egrep -q "^$module\$" $target/etc/modules || echo $module >> $target/etc/modules
 done
 
@@ -24,7 +24,7 @@
 fcopy -iM /etc/hosts /etc/motd
 
 # set root password
-echo "root:$rootpw" | $ROOTCMD chpasswd --encrypted
+echo "root:$ROOTPW" | $ROOTCMD chpasswd --encrypted
 # make /root accessible only by root
 chmod 0700 $target/root
 chown root:root $target/root
@@ -32,8 +32,8 @@
 fcopy -ir /root
 
 # create keyboard layout table
-$ROOTCMD bash -c "echo 'console-data console-data/keymap/full select $FAI_KEYMAP' | debconf-set-selections"
-$ROOTCMD install-keymap $FAI_KEYMAP || true
+$ROOTCMD bash -c "echo 'console-data console-data/keymap/full select $KEYMAP' | debconf-set-selections"
+$ROOTCMD install-keymap KEYMAP || true
 # dumpkeys | gzip -9f >$target/etc/console/boottime.kmap.gz
 
 exit $error

Modified: trunk/lib/load_keymap_consolechars
===================================================================
--- trunk/lib/load_keymap_consolechars	2006-09-05 12:44:32 UTC (rev 3856)
+++ trunk/lib/load_keymap_consolechars	2006-09-05 12:52:07 UTC (rev 3857)
@@ -2,11 +2,11 @@
 
 # $Id$
 
-[ "$FAI_CONSOLEFONT" ] &&
-	consolechars -v -f /usr/share/consolefonts/$FAI_CONSOLEFONT.psf.gz
+[ "CONSOLEFONT" ] &&
+	consolechars -v -f /usr/share/consolefonts/CONSOLEFONT.psf.gz
 
 # nothing to do if FAI_KEYMAP is undefined
-[ "$FAI_KEYMAP" ] || exit
+[ "$KEYMAP" ] || exit
 
-echo -n "Loading keymap(s) $FAI_KEYMAP ..."
-loadkeys -q $FAI_KEYMAP && echo "done."
+echo -n "Loading keymap(s) $KEYMAP ..."
+loadkeys -q $KEYMAP && echo "done."




More information about the Fai-commit mailing list